Bug 657244 - fail to persist lvm.conf
Summary: fail to persist lvm.conf
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-25 10:12 UTC by Mohua Li
Modified: 2016-04-26 13:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-01 15:00:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mohua Li 2010-11-25 10:12:12 UTC
Description of problem:

in rhev-hypervisor 6.0-15, persist /etc/lvm/lvm.conf,after persisted, reboot, 


before reboot,

successfyll persist the file, 

cant fine the file in /config/files, and /config/etc/lvm/lvm.conf


after reboot,

[root@1352-8-1 /]# persist /etv/lvm/lvm.conf
Directory already persisted: 
You need to unpersist its child directories and/or files and try again.

[root@1352-8-1 config]# cd etc
[root@1352-8-1 etc]# ls
default  fstab  kdump.conf  libvirt  logrotate.d  lvm  ntp.conf  passwd  rsyslog.conf  sasl2  shadow  ssh  sysconfig  vdsm

[root@1352-8-1 etc]# cd lvm
[root@1352-8-1 lvm]# ls
#nothing here,the persist file gone, but the modify content still could found 
in lvm.conf, 




Version-Release number of selected component (if applicable):
rhev-hypervisor 6.0-15 

How reproducible:
always

Steps to Reproduce:
1.persist lvm.conf,make sure the file exist under /config
2.reboot the machine
3.check the file under /config, 
  
Actual results:


Expected results:


Additional info:

Comment 3 Mike Burns 2010-12-01 14:25:52 UTC
lvm.conf is not persisted.  It's configured in a way that ovirt-node needs it so that the correct instances of devices are read (/dev/mapper/* instead of /dev/sd*).  We explicitly unpersist it in rc.local on each boot.  

is there a reason that you're trying to persist it?  Manually persisting files is something that we don't support.

Comment 4 Mike Burns 2010-12-01 15:00:06 UTC
Closing this, please re-open if needed


Note You need to log in before you can comment on or make changes to this bug.